com.genesyslab.wfm8.API.service.config852

## Class CfgTaskSequence

- java.lang.Object
- - com.genesyslab.wfm8.API.service.config852.CfgTaskSequence

- All Implemented Interfaces:
    java.io.Serializable

      public class CfgTaskSequence
      extends java.lang.Object
      implements java.io.Serializable

  Task Sequence information
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private static long` | `serialVersionUID`
    `protected long` | `timestamp`
    `protected int` | `wmBUId`
    `protected java.lang.String` | `wmName`
    `protected java.util.List<java.lang.Integer>` | `wmSiteId`
    `protected int` | `wmSiteIdNSizeIs`
    `protected int` | `wmTaskSequenceId`
    `protected java.util.List<CfgTaskSequenceItem>` | `wmTaskSequenceItems`
    `protected int` | `wmTaskSequenceItemsNSizeIs`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CfgTaskSequence()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object that)`
    `long` | `getTimestamp()` Gets the value of the timestamp property.
    `int` | `getWmBUId()` Gets the value of the wmBUId property.
    `java.lang.String` | `getWmName()` Gets the value of the wmName property.
    `java.util.List<java.lang.Integer>` | `getWmSiteId()` Gets the value of the wmSiteId property.
    `int` | `getWmSiteIdNSizeIs()` Gets the value of the wmSiteIdNSizeIs property.
    `int` | `getWmTaskSequenceId()` Gets the value of the wmTaskSequenceId property.
    `java.util.List<CfgTaskSequenceItem>` | `getWmTaskSequenceItems()` Gets the value of the wmTaskSequenceItems property.
    `int` | `getWmTaskSequenceItemsNSizeIs()` Gets the value of the wmTaskSequenceItemsNSizeIs property.
    `int` | `hashCode()`
    `void` | `setTimestamp(long value)` Sets the value of the timestamp property.
    `void` | `setWmBUId(int value)` Sets the value of the wmBUId property.
    `void` | `setWmName(java.lang.String value)` Sets the value of the wmName property.
    `void` | `setWmSiteId(java.util.List<java.lang.Integer> wmSiteId)` Sets the value of the wmSiteId property.
    `void` | `setWmSiteIdNSizeIs(int value)` Sets the value of the wmSiteIdNSizeIs property.
    `void` | `setWmTaskSequenceId(int value)` Sets the value of the wmTaskSequenceId property.
    `void` | `setWmTaskSequenceItems(java.util.List<CfgTaskSequenceItem> wmTaskSequenceItems)` Sets the value of the wmTaskSequenceItems property.
    `void` | `setWmTaskSequenceItemsNSizeIs(int value)` Sets the value of the wmTaskSequenceItemsNSizeIs property.
    `java.lang.String` | `toString()`
    `CfgTaskSequence` | `withTimestamp(long value)`
    `CfgTaskSequence` | `withWmBUId(int value)`
    `CfgTaskSequence` | `withWmName(java.lang.String value)`
    `CfgTaskSequence` | `withWmSiteId(java.util.Collection<java.lang.Integer> values)`
    `CfgTaskSequence` | `withWmSiteId(java.lang.Integer... values)`
    `CfgTaskSequence` | `withWmSiteIdNSizeIs(int value)`
    `CfgTaskSequence` | `withWmTaskSequenceId(int value)`
    `CfgTaskSequence` | `withWmTaskSequenceItems(CfgTaskSequenceItem... values)`
    `CfgTaskSequence` | `withWmTaskSequenceItems(java.util.Collection<CfgTaskSequenceItem> values)`
    `CfgTaskSequence` | `withWmTaskSequenceItemsNSizeIs(int value)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      See Also:
        Constant Field Values

    - #### wmTaskSequenceId

          protected int wmTaskSequenceId

    - #### wmBUId

          protected int wmBUId

    - #### wmSiteIdNSizeIs

          protected int wmSiteIdNSizeIs

    - #### wmSiteId

          protected java.util.List<java.lang.Integer> wmSiteId

    - #### wmName

          protected java.lang.String wmName

    - #### wmTaskSequenceItemsNSizeIs

          protected int wmTaskSequenceItemsNSizeIs

    - #### wmTaskSequenceItems

          protected java.util.List<CfgTaskSequenceItem> wmTaskSequenceItems

    - #### timestamp

          protected long timestamp

  - ### Constructor Detail

    - #### CfgTaskSequence

          public CfgTaskSequence()

  - ### Method Detail

    - #### getWmTaskSequenceId

          public int getWmTaskSequenceId()

      Gets the value of the wmTaskSequenceId property.

    - #### setWmTaskSequenceId

          public void setWmTaskSequenceId(int value)

      Sets the value of the wmTaskSequenceId property.

    - #### getWmBUId

          public int getWmBUId()

      Gets the value of the wmBUId property.

    - #### setWmBUId

          public void setWmBUId(int value)

      Sets the value of the wmBUId property.

    - #### getWmSiteIdNSizeIs

          public int getWmSiteIdNSizeIs()

      Gets the value of the wmSiteIdNSizeIs property.

    - #### setWmSiteIdNSizeIs

          public void setWmSiteIdNSizeIs(int value)

      Sets the value of the wmSiteIdNSizeIs property.

    - #### getWmSiteId

          public java.util.List<java.lang.Integer> getWmSiteId()

      Gets the value of the wmSiteId property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the wmSiteId property.

      For example, to add a new item, do as follows:

              getWmSiteId().add(newItem);

      Objects of the following type(s) are allowed in the list `Integer`

    - #### getWmName

          public java.lang.String getWmName()

      Gets the value of the wmName property.
      Returns:
        possible object is `String`

    - #### setWmName

          public void setWmName(java.lang.String value)

      Sets the value of the wmName property.
      Parameters:
        `value` - allowed object is `String`

    - #### getWmTaskSequenceItemsNSizeIs

          public int getWmTaskSequenceItemsNSizeIs()

      Gets the value of the wmTaskSequenceItemsNSizeIs property.

    - #### setWmTaskSequenceItemsNSizeIs

          public void setWmTaskSequenceItemsNSizeIs(int value)

      Sets the value of the wmTaskSequenceItemsNSizeIs property.

    - #### getWmTaskSequenceItems

          public java.util.List<CfgTaskSequenceItem> getWmTaskSequenceItems()

      Gets the value of the wmTaskSequenceItems property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the wmTaskSequenceItems property.

      For example, to add a new item, do as follows:

              getWmTaskSequenceItems().add(newItem);

      Objects of the following type(s) are allowed in the list `CfgTaskSequenceItem`

    - #### getTimestamp

          public long getTimestamp()

      Gets the value of the timestamp property.

    - #### setTimestamp

          public void setTimestamp(long value)

      Sets the value of the timestamp property.

    - #### withWmTaskSequenceId

          public CfgTaskSequence withWmTaskSequenceId(int value)

    - #### withWmBUId

          public CfgTaskSequence withWmBUId(int value)

    - #### withWmSiteIdNSizeIs

          public CfgTaskSequence withWmSiteIdNSizeIs(int value)

    - #### withWmSiteId

          public CfgTaskSequence withWmSiteId(java.lang.Integer... values)

    - #### withWmSiteId

          public CfgTaskSequence withWmSiteId(java.util.Collection<java.lang.Integer> values)

    - #### withWmName

          public CfgTaskSequence withWmName(java.lang.String value)

    - #### withWmTaskSequenceItemsNSizeIs

          public CfgTaskSequence withWmTaskSequenceItemsNSizeIs(int value)

    - #### withWmTaskSequenceItems

          public CfgTaskSequence withWmTaskSequenceItems(CfgTaskSequenceItem... values)

    - #### withWmTaskSequenceItems

          public CfgTaskSequence withWmTaskSequenceItems(java.util.Collection<CfgTaskSequenceItem> values)

    - #### withTimestamp

          public CfgTaskSequence withTimestamp(long value)

    - #### setWmSiteId

          public void setWmSiteId(java.util.List<java.lang.Integer> wmSiteId)

      Sets the value of the wmSiteId property.
      Parameters:
        `wmSiteId` - allowed object is `Integer`

    - #### setWmTaskSequenceItems

          public void setWmTaskSequenceItems(java.util.List<CfgTaskSequenceItem> wmTaskSequenceItems)

      Sets the value of the wmTaskSequenceItems property.
      Parameters:
        `wmTaskSequenceItems` - allowed object is `CfgTaskSequenceItem`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.